org.apache.sysds.api.mlcontext

## Enum MLContext.ExecutionType

- java.lang.Object
- - java.lang.Enum<MLContext.ExecutionType>
  - - org.apache.sysds.api.mlcontext.MLContext.ExecutionType

- All Implemented Interfaces:
    Serializable, Comparable<MLContext.ExecutionType>
  Enclosing class:
    MLContext

      public static enum MLContext.ExecutionType
      extends Enum<MLContext.ExecutionType>

  The different types of execution environments supported by SystemDS. The default execution type is `DRIVER_AND_SPARK`. `DRIVER` refers to all operations occurring in the local driver JVM. `SPARK` refers to all operations occurring on Spark. `HADOOP` refers to all operations occurring on Hadoop. `DRIVER_AND_SPARK` refers to operations occurring in the local driver JVM and on Spark when appropriate. `DRIVER_AND_HADOOP` refers to operations occurring in the local driver JVM and on Hadoop when appropriate.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DRIVER`
    `DRIVER_AND_HADOOP`
    `DRIVER_AND_SPARK`
    `HADOOP`
    `SPARK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Types.ExecMode` | `getExecMode()`
    `static MLContext.ExecutionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MLContext.ExecutionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DRIVER

          public static final MLContext.ExecutionType DRIVER

    - #### SPARK

          public static final MLContext.ExecutionType SPARK

    - #### HADOOP

          public static final MLContext.ExecutionType HADOOP

    - #### DRIVER_AND_SPARK

          public static final MLContext.ExecutionType DRIVER_AND_SPARK

    - #### DRIVER_AND_HADOOP

          public static final MLContext.ExecutionType DRIVER_AND_HADOOP

  - ### Method Detail

    - #### values

          public static MLContext.ExecutionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MLContext.ExecutionType c : MLContext.ExecutionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MLContext.ExecutionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getExecMode

          public Types.ExecMode getExecMode()

Copyright © 2021 The Apache Software Foundation. All rights reserved.